#!/bin/bash

# This script gives information about a file given as input
# there is only ONE argument accepted: the filename!

if [ ! $# == 1 ]; then
  echo "Usage: $0 FILENAME"
  exit
fi

FILENAME="$1"

echo "Properties for $FILENAME:"

# First of all check if the file exists
if [ -f $FILENAME ]; then
  echo "Size is $(ls -lh $FILENAME | awk '{ print $5 }')"
  echo "Type is $(file $FILENAME | cut -d":" -f2 -)"
  echo "Inode number is $(ls -i $FILENAME | cut -d" " -f1 -)"
  echo "$(df -h $FILENAME | grep -v Mounted | awk '{ print "On",$1", \
which is mounted as the",$6,"partition."}')"
else
  echo "File does not exist."
fi
